#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_with	tests	# unit tests (require network + some past state of DNS records)

Summary:	Python interface for c-ares
Summary(pl.UTF-8):	Interfejs Pythona do biblioteki c-ares
Name:		python3-pycares
Version:	4.9.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pycares/
Source0:	https://files.pythonhosted.org/packages/source/p/pycares/pycares-%{version}.tar.gz
# Source0-md5:	d08cb19aee19d74716a4d2a76f6989d4
URL:		https://pypi.org/project/pycares/
BuildRequires:	c-ares-devel >= 1.34.5
BuildRequires:	python3-devel >= 1:3.9
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-cffi >= 1.5.0
BuildRequires:	python3-idna >= 2.1
%endif
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.9
Requires:	c-ares >= 1.34.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pycares is a Python module which provides an interface to c-ares.
c-ares <https://c-ares.org/> is a C library that performs DNS requests
and name resolutions asynchronously.

%description -l pl.UTF-8
pycares to moduł Pythona dostarczający interfejs do biblioteki c-ares.
c-ares <https://c-ares.org/> to biblioteka C wykonująca zapytania DNS
i rozwiązywanie nazw w sposób asynchroniczny.

%package apidocs
Summary:	API documentation for Python pycares module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona pycares
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Python pycares module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona pycares.

%prep
%setup -q -n pycares-%{version}

%build
export PYCARES_USE_SYSTEM_LIB=1
%py3_build

%if %{with tests}
PYTHONPATH=$(echo $(pwd)/build-3/lib.*) \
%{__python3} tests/test_all.py
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

export PYCARES_USE_SYSTEM_LIB=1

%py3_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README.rst
%dir %{py3_sitedir}/pycares
%attr(755,root,root) %{py3_sitedir}/pycares/*.so
%{py3_sitedir}/pycares/*.py
%{py3_sitedir}/pycares/py.typed
%{py3_sitedir}/pycares/__pycache__
%{py3_sitedir}/pycares-%{version}-py*.egg-info
%{_examplesdir}/%{name}-%{version}

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Fri Jul 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pycares.git;a=log;h=master

* Fri Jul 11 2025 Jakub Bogusz <qboosh@pld-linux.org> de0b2c0
- python-pycares.spec updated to 4.9.0 for python 3.9+

* Fri Jul 11 2025 Jakub Bogusz <qboosh@pld-linux.org> 2751c21
- new, last version for python2

